Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class TextNode

    java.lang.Object
      |
      +--oracle.apps.cz.cio.RuntimeNode
            |
            +--oracle.apps.cz.cio.TextNode

All Implemented Interfaces:
  IRuntimeNode, IText

Direct Known Subclasses:
  TextFeature

public abstract class TextNode
extends RuntimeNode
implements IText

Represents a feature that has a textual value.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.RuntimeNode
`ACCUMULATOR_SUFFIX_TYPE, ATTR_KEY, CONNECTOR_PREFIX_TYPE, DEFAULT_IV_SUFFIX_TYPE, DEFAULT_SUFFIX_ID, DEFAULT_SUFFIX_TYPE, LOAD_CONDITIONS_GROUP_PREFIX_TYPE, NET_PREFIX_TYPE, NODE_PREFIX_TYPE, TRACKABLE_ROOT_PREFIX_TYPE`

Fields inherited from interface oracle.apps.cz.cio.IText
`DEFAULT, NONE, USER`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`java.lang.String` | `getTextValue()` Gets the current textual value of this object.
`int` | `getValueType()` Returns the type of the value (either USER, DEFAULT, or NONE)
`boolean` | `isRequired()` Returns true if this node is required to have a value in order for the configuration to be considered complete.
`boolean` | `isUnsatisfiedNode(boolean isTrue)`
`void` | `setDefaultTextValue(java.lang.String newTextValue)` Sets the current default textual value of this object.
`void` | `setTextValue(java.lang.String newTextValue)` Sets the current textual value of this object.
`void` | `unset()` Retracts any user selection made toward this node

Methods inherited from class oracle.apps.cz.cio.RuntimeNode
`associateAttribute, evaluateUiExpression, getAttributeByName, getAttributes, getAvailableEventCommands, getBaselineValue, getCaption, getChildByID, getChildByID, getChildByName, getChildByName, getChildByPersistentID, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getCXRules, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getFuncCompByID, getFuncCompByName, getFunctionalCompanions, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyById, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasAttribute, hasChildren, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hashCode, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDefaultAffected, isDeleteChanged, isDeleted, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, lookupNodeID, lookupNodeID, registerLoadCondition, setLineType, setLocationID, setLocationTypeCode, synchronizeIBValues, typeToString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getTextValue

    public java.lang.String getTextValue()

  Description copied from interface: `IText`
  Gets the current textual value of this object.
  Specified by:
    `getTextValue` in interface `IText`
  Returns:
    the current value.

### setTextValue

    public void setTextValue(java.lang.String newTextValue)
                      throws LogicalException

  Description copied from interface: `IText`
  Sets the current textual value of this object.
  Specified by:
    `setTextValue` in interface `IText`
    `LogicalException`

### setDefaultTextValue

    public void setDefaultTextValue(java.lang.String newTextValue)
                             throws LogicalException

  Description copied from interface: `IText`
  Sets the current default textual value of this object.
  Specified by:
    `setDefaultTextValue` in interface `IText`
    `LogicalException`

### unset

    public void unset()
               throws LogicalException

  Description copied from interface: `IText`
  Retracts any user selection made toward this node
  Specified by:
    `unset` in interface `IText`
    `LogicalException`

### getValueType

    public int getValueType()

  Returns the type of the value (either USER, DEFAULT, or NONE)
  Specified by:
    `getValueType` in interface `IText`

### isRequired

    public boolean isRequired()

  Returns true if this node is required to have a value in order for the configuration to be considered complete.
  Specified by:
    `isRequired` in interface `IText`

### isUnsatisfiedNode

    public boolean isUnsatisfiedNode(boolean isTrue)

  Overrides:
    `isUnsatisfiedNode` in class `RuntimeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.